table:
  name: active
  schema: challenges
object_relationships:
  - name: challenge
    using:
      manual_configuration:
        column_mapping:
          challenge_id: id
        insertion_order: null
        remote_table:
          name: challenges
          schema: challenges
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
array_relationships:
  - name: files
    using:
      manual_configuration:
        column_mapping:
          challenge_id: challenge_id
          event_id: event_id
        insertion_order: null
        remote_table:
          name: files
          schema: challenges
  - name: flags
    using:
      manual_configuration:
        column_mapping:
          challenge_id: challenge_id
          event_id: event_id
        insertion_order: null
        remote_table:
          name: flags
          schema: challenges
  - name: kanban_tasks
    using:
      manual_configuration:
        column_mapping:
          challenge_id: ctf_challenge_id
        insertion_order: null
        remote_table:
          name: kanban
          schema: scoreboard
  - name: solves
    using:
      manual_configuration:
        column_mapping:
          challenge_id: challenge_id
          event_id: event_id
        insertion_order: null
        remote_table:
          name: solves
          schema: challenges
computed_fields:
  - name: released
    definition:
      function:
        name: active_released
        schema: challenges
insert_permissions:
  - role: _ctf_admin
    permission:
      check: {}
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
select_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
      computed_fields:
        - released
      filter: {}
      allow_aggregations: true
  - role: _participant
    permission:
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
      computed_fields:
        - released
      filter:
        released:
          _eq: "true"
      allow_aggregations: true
  - role: _snapshot_service
    permission:
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
      computed_fields:
        - released
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _staff
    permission:
      columns:
        - event_id
        - challenge_id
        - release_time
        - points
      computed_fields:
        - released
      filter:
        released:
          _eq: "true"
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
      computed_fields:
        - released
      filter:
        released:
          _eq: "true"
update_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - points
        - release_time
        - challenge_id
        - event_id
      filter: {}
      check: {}
delete_permissions:
  - role: _ctf_admin
    permission:
      filter: {}
